Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.sequencer
Class PathExpression.WorkspacePath

    java.lang.Object
      org.modeshape.jcr.sequencer.PathExpression.WorkspacePath

Enclosing class:
  PathExpression

    @Immutable
    public static class PathExpression.WorkspacePath

extends Object

Field Summary
`String` | `path`
`String` | `workspaceName`

Constructor Summary
`PathExpression.WorkspacePath(String workspaceName, String path)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`
`PathExpression.WorkspacePath` | `withPath(String path)`
`PathExpression.WorkspacePath` | `withWorkspaceName(String workspaceName)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### workspaceName

    public final String workspaceName

### path

    public final String path

Constructor Detail

### PathExpression.WorkspacePath

    public PathExpression.WorkspacePath(String workspaceName,
                                        String path)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### withWorkspaceName

    public PathExpression.WorkspacePath withWorkspaceName(String workspaceName)

### withPath

    public PathExpression.WorkspacePath withPath(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.